<p align="center">
    <img src ="Resources/Logo.png" width=500 />
</p>

<p align="center">
    <img src="https://img.shields.io/github/v/release/danielsaidi/SwiftKit?color=%2300550&sort=semver" alt="Version" />
    <img src="https://img.shields.io/badge/platform-SwiftUI-red.svg" alt="Swift UI" />
    <img src="https://img.shields.io/badge/Swift-5.3-orange.svg" alt="Swift 5.3" />
    <img src="https://img.shields.io/github/license/danielsaidi/SwiftKit" alt="MIT License" />
    <a href="https://twitter.com/danielsaidi">
        <img src="https://img.shields.io/badge/contact-@danielsaidi-blue.svg?style=flat" alt="Twitter: @danielsaidi" />
    </a>
</p>


## About SwiftKit

SwiftKit adds extra functionality to the Swift framework, like extensions to already existing types as well as completely new utilites, services etc. 

SwiftKit is divided into the following sections:

* Authentication
* Bundle
* Data
* Date
* Device
* Extensions
* Files
* Geo
* iCloud
* IoC
* Keychain
* Localization
* Messaging
* Network
* Services
* StoreKit
* Validation

You can explore the sections in the [documentation][Documentation] and the demo app.



## Installation

### Swift Package Manager

```
https://github.com/danielsaidi/SwiftKit.git
```

### CocoaPods

```
pod DSSwiftKit
```



## Supported Platforms

SwiftKit supports `iOS 13`, `macOS 10.13`, `tvOS 13` and `watchOS 6`.



## Documentation

The SwiftKit documentation contains extensive information, code examples etc. and makes it easy to overview the various parts of the library.

You can either [download][Documentation] the documentation or build it directly in Xcode, using `Product/Build Documentation`.



## Demo Application

This project contains a demo app that lets you explore many of SwiftKit's features through interactive demos. 

Together with the [download][Documentation], I hope you'll find it easy to understand how the various parts of the library works.

To run the demo app, just open and run the `Demo/Demo.xcodeproj` project. It's a universal app project, but the `macOS` app is currenty not working that well.



## Contact

Feel free to reach out if you have questions or if you want to contribute in any way:

* E-mail: [daniel.saidi@gmail.com][Email]
* Twitter: [@danielsaidi][Twitter]
* Web site: [danielsaidi.com][Website]



## Support

You can sponsor this project on [GitHub Sponsors][Sponsors] or get in touch for paid support.



## License

SwiftKit is available under the MIT license. See [LICENSE][License] file for more info.


[Email]: mailto:daniel.saidi@gmail.com
[Twitter]: http://www.twitter.com/danielsaidi
[Website]: http://www.danielsaidi.com
[Sponsors]: https://github.com/sponsors/danielsaidi

[Documentation]: https://github.com/danielsaidi/Documentation/blob/main/Docs/SwiftKit.doccarchive.zip?raw=true
[License]: https://github.com/danielsaidi/SwiftKit/blob/master/LICENSE
