//
//  Collection+HasContent.swift
//  SwiftKit
//
//  Created by Daniel Saidi on 2020-06-09.
//  Copyright © 2020 Daniel Saidi. All rights reserved.
//

import Foundation

public extension Collection where Element: Hashable {
    
    /**
     Get distinct values from the collection, preserving the
     original order.
     */
    func distinct() -> [Element] {
        reduce([]) { $0.contains($1) ? $0 : $0 + [$1] }
    }
}
